Results 1 to 9 of 9

Thread: installing packages on ARM version // repository ?

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    Feb 2009
    Posts
    22

    Default installing packages on ARM version // repository ?

    Hi,

    I am using BT5 ARM version on my Android device Dell Streak.
    I just wanted to compile Wireshark but it asks for yacc or bison.
    How can I install these ?
    I couldn't find them in the current repositories on sources.list

    Also, what shoukd I do to add flash support on Firefox ?

    Thanks.

  2. #2
    Just burned his ISO
    Join Date
    Feb 2009
    Posts
    22

    Default Re: installing packages on ARM version // repository ?

    I'd appreciate any help...

  3. #3
    Senior Member
    Join Date
    Jan 2010
    Posts
    140

    Default Re: installing packages on ARM version // repository ?

    People won't appreciate you bumping your own post like this. Especially only one day after your original question. You should try just doing a google search. I did a quick one for you and found this http://www.techsww.com/tutorials/ope...untu_linux.php

    I think there are already other posts that address flash too. I'm sure you can find them.

  4. #4
    Just burned his ISO
    Join Date
    Feb 2009
    Posts
    22

    Default Re: installing packages on ARM version // repository ?

    anyway, I was able to add bison and then flex packages using the following repositories:
    Code:
    deb http://repository.maemo.org/ fremantle/sdk free non-free
    deb http://repository.maemo.org/ fremantle/tools free non-free
    then wireshark required libgtk2.0-dev package. unfortunately the existing libgtk2.0 package is not matching the devel. packge on maemo repository.
    any idea on what to do ?

  5. #5
    Just burned his ISO
    Join Date
    Feb 2009
    Posts
    22

    Default Re: installing packages on ARM version // repository ?

    is there a REAL repository for ARM version of Backtrack where we can find any required libs ?
    I am trying the maemo repository but it has so much dependency problems with the currently installed libs.

  6. #6
    My life is this forum Barry's Avatar
    Join Date
    Jan 2010
    Posts
    3,817

    Default Re: installing packages on ARM version // repository ?

    I think right now the arm port is "just to see if we could do it". Mutts said they were going to work on the arm port later once the BT5 push settles down. Pretty sure the maemo repos will break things though. Not sure if they're the same kernel version.
    Of course, if you really wanted to have some fun, go to Wal-Mart late at night and ask the greeter if they could help you find trashbags, roll of carpet, rope, quicklime, clorox and a shovel. See if they give you any strange looks. --Streaker69

  7. #7
    Just burned his ISO
    Join Date
    Feb 2009
    Posts
    22

    Default Re: installing packages on ARM version // repository ?

    too bad.
    I'd like to install wireshark as fast as possible.

    any workaround that you could suggest ?

  8. #8
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: installing packages on ARM version // repository ?

    yacc and bison (to the best of my knowledge) are both ruby gems.
    so installing them with gem install yacc bison should do the trick.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  9. #9
    Just burned his ISO
    Join Date
    Feb 2009
    Posts
    22

    Default Re: installing packages on ARM version // repository ?

    ok; but the problem is not bison or yacc.

    I've already installed bison and flex from the maemo repo.

    But now I need libgtk2.0-dev package which is not installable because of several dependancies.

Similar Threads

  1. installing downloaded packages
    By phoenix989 in forum OLD Newbie Area
    Replies: 1
    Last Post: 01-24-2010, 01:32 AM
  2. Installing backtrack-ati-driviers from repository broke my BT4pre
    By imported_ecsployt in forum OLD BackTrack 4 Bugs and Fixes
    Replies: 25
    Last Post: 08-28-2009, 11:28 PM
  3. Replies: 2
    Last Post: 01-09-2009, 02:24 AM
  4. some request (BT packages LIST and BT packages archive)
    By 3segfault in forum OLD Newbie Area
    Replies: 2
    Last Post: 05-04-2008, 09:43 AM
  5. Installing usb version of Backtrack 3 on HD?
    By savesilence in forum OLD Newbie Area
    Replies: 2
    Last Post: 04-24-2008, 09:53 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •